<?php
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace TcbPay\Payment\Model;

use Magento\Checkout\Model\ConfigProviderInterface;
use Magento\Store\Model\ScopeInterface;

class ConfigProvider implements ConfigProviderInterface
{
    const XPATH_TESTMODE = 'payment/tcbpay_simple/testmode';
    const XPATH_USECVV = 'payment/tcbpay_simple/useccv';

    /**
     * @var \Magento\Framework\App\Config\ScopeConfigInterface
     */
    private $scopeConfiguration;

    /**
     * @param \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfiguration
     * @codeCoverageIgnore
     */
    public function __construct(
        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfiguration
    ) {
        $this->scopeConfiguration = $scopeConfiguration;
    }

    public function getConfig() {
        return [
            'tcbpayConfig' => [
                'testmode' => $this->scopeConfiguration->getValue(self::XPATH_TESTMODE, ScopeInterface::SCOPE_STORE)
            ]
        ];
    }
}